Subject: [Ace] EST over CoAP: Introduction

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 15 May 2018 09:34:09 +0000

Here is a proposal to change the introduction to the relevant parts only and to avoid repetition.
(The current document still keeps talking about IEEE 802.15.4 when there are so many other radio technologies as well.
There is nothing in this spec that makes this 15.4 specific. I understand that some of the authors really like 15.4 but ....)

Here is my proposal to replace Section 1 and Section 1.1:

-----

1.  Introduction

   "Classical" Enrollment over Secure Transport (EST) [RFC7030] is used for
   authenticated/authorized endpoint certificate enrollment (and
   optionally key provisioning) through a Certificate Authority (CA) or
   Registration Authority (RA).  It uses HTTPS.

   This specification defines a new transport for EST based on the
   Constrained Application Protocol (CoAP) since some Internet of Things (IoT)
   devices use CoAP instead of HTTP. This specification therefore utilizes DTLS [RFC6347],
   CoAP [RFC7252], and UDP instead of TLS [RFC5246], HTTP [RFC7230] and TCP.

   This document also profiles EST and only supports certificate-based client
   Authentication. The results are:

      *  The EST-coaps client does not support HTTP Basic authentication
         (as described in Section 3.2.3 of [RFC7030]).

      *  The EST-coaps client does not support authentication at the
         application layer (as described in Section 3.2.3 of [RFC7030]).

   EST messages may be relatively large and for this reason this
   document re-uses CoAP Block-Wise Transfer [RFC7959] to
   offer a fragmentation mechanism of EST messages at the CoAP layer.

-----

Ciao
Hannes

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Sun, 27 May 2018 03:01:58 +0000

Hi Hannes,
Thank you for the text. The 15.4 was only serving only as a motivation usecase. We revamped the Intro similar to what you suggested. It will be fixed  in the next iteration.
Panos

From: Ace [mailto:[email-masked]] On Behalf Of Hannes Tschofenig
Sent: Tuesday, May 15, 2018 5:34 AM
To: [email-masked]
Subject: [Ace] EST over CoAP: Introduction

Here is a proposal to change the introduction to the relevant parts only and to avoid repetition.
(The current document still keeps talking about IEEE 802.15.4 when there are so many other radio technologies as well.
There is nothing in this spec that makes this 15.4 specific. I understand that some of the authors really like 15.4 but .....)

-----

1.  Introduction

-----

Ciao
Hannes